import numpy as np
from mayavi import mlab

x, y, z = np.ogrid[-7:7:0.1, -7:7:0.1, -1:7:0.1]
scalars = x * x + y * y - z * z

mlab.volume_slice(scalars, slice_index=round(len(x) / 2),
                  plane_orientation='x_axes')
mlab.volume_slice(scalars, plane_orientation='y_axes')
mlab.outline()

mlab.show()
